Subject: Re: [BLISS] Shared Appearance Issue: Simplify No Appearance Allocation Request

From: Raj Jain <[email-masked]>
Date: Fri, 16 Apr 2010 11:59:23 -0400

On Sat, Mar 6, 2010 at 11:05 PM, Alan Johnston
<[email-masked]> wrote:
> There is currently a bit of complexity in the draft caused by a
> requirement for a UA to send an INVITE using the shared AOR in the From
> but not have an appearance number assigned. Effectively, this dialog is
> not part of the shared appearance group.  We do this using the 'shared'
> Event parameter.
>
> There are two ways we could simplify this:
>
> We could probably remove the 'shared' event parameter if we defined a
> convention for the <appearance> element to say 'don't assign an
> appearance'.  For example, we could chose a value such as "-1".  A
> publish with appearance=-1 would be asking the AA not to assign an
> appearance number.  This would simplify things.

I don't think not assigning an appearance number will work. If a
Shared AOR has multiple appearances, then I believe a specific
appearance number will need to be assigned and sent in the NOTIFY to
other UAs. This is how other UAs will know which appearance lamp to
light.

> If we were looking to simplify things further, perhaps we could just
> meet this requirement by saying a different From URI should be used.

I prefer this approach. If a UA is not capable of sending the
appearance number, then it doesn't understand the shared-appearances
feature anyway.

Raj